package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridWorkReportItem;
import com.ruoyi.system.domain.grid.GridWorkReportItemExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridWorkReportItemMapper {
    long countByExample(GridWorkReportItemExample example);

    int deleteByExample(GridWorkReportItemExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GridWorkReportItem record);

    int insertSelective(GridWorkReportItem record);

    List<GridWorkReportItem> selectByExampleWithBLOBs(GridWorkReportItemExample example);

    List<GridWorkReportItem> selectByExample(GridWorkReportItemExample example);

    GridWorkReportItem selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GridWorkReportItem record, @Param("example") GridWorkReportItemExample example);

    int updateByExampleWithBLOBs(@Param("record") GridWorkReportItem record, @Param("example") GridWorkReportItemExample example);

    int updateByExample(@Param("record") GridWorkReportItem record, @Param("example") GridWorkReportItemExample example);

    int updateByPrimaryKeySelective(GridWorkReportItem record);

    int updateByPrimaryKeyWithBLOBs(GridWorkReportItem record);

    int updateByPrimaryKey(GridWorkReportItem record);
}